> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pinkfish.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# svix-messaging

> Svix Messaging - send messages, manage endpoints, track delivery attempts

**Server path:** `/svix-messaging` | **Type:** Application | **PCID required:** Yes

## Tools

| Tool                                                                                                                              | Description                     |
| --------------------------------------------------------------------------------------------------------------------------------- | ------------------------------- |
| [`svix_messaging_v1_endpoint_bulk_replay`](#svix_messaging_v1_endpoint_bulk_replay)                                               | Bulk Replay Messages            |
| [`svix_messaging_v1_endpoint_create`](#svix_messaging_v1_endpoint_create)                                                         | Create Endpoint                 |
| [`svix_messaging_v1_endpoint_delete`](#svix_messaging_v1_endpoint_delete)                                                         | Delete Endpoint                 |
| [`svix_messaging_v1_endpoint_get`](#svix_messaging_v1_endpoint_get)                                                               | Get Endpoint                    |
| [`svix_messaging_v1_endpoint_get_headers`](#svix_messaging_v1_endpoint_get_headers)                                               | Get Endpoint Headers            |
| [`svix_messaging_v1_endpoint_get_secret`](#svix_messaging_v1_endpoint_get_secret)                                                 | Get Endpoint Secret             |
| [`svix_messaging_v1_endpoint_get_stats`](#svix_messaging_v1_endpoint_get_stats)                                                   | Endpoint Stats                  |
| [`svix_messaging_v1_endpoint_list`](#svix_messaging_v1_endpoint_list)                                                             | List Endpoints                  |
| [`svix_messaging_v1_endpoint_patch`](#svix_messaging_v1_endpoint_patch)                                                           | Patch Endpoint                  |
| [`svix_messaging_v1_endpoint_patch_headers`](#svix_messaging_v1_endpoint_patch_headers)                                           | Patch Endpoint Headers          |
| [`svix_messaging_v1_endpoint_patch_transformation`](#svix_messaging_v1_endpoint_patch_transformation)                             | Patch Endpoint Transformation   |
| [`svix_messaging_v1_endpoint_recover`](#svix_messaging_v1_endpoint_recover)                                                       | Recover Failed Webhooks         |
| [`svix_messaging_v1_endpoint_replay_missing`](#svix_messaging_v1_endpoint_replay_missing)                                         | Replay Missing Webhooks         |
| [`svix_messaging_v1_endpoint_rotate_secret`](#svix_messaging_v1_endpoint_rotate_secret)                                           | Rotate Endpoint Secret          |
| [`svix_messaging_v1_endpoint_send_example`](#svix_messaging_v1_endpoint_send_example)                                             | Send Event Type Example Message |
| [`svix_messaging_v1_endpoint_transformation_get`](#svix_messaging_v1_endpoint_transformation_get)                                 | Get Endpoint Transformation     |
| [`svix_messaging_v1_endpoint_update`](#svix_messaging_v1_endpoint_update)                                                         | Update Endpoint                 |
| [`svix_messaging_v1_endpoint_update_headers`](#svix_messaging_v1_endpoint_update_headers)                                         | Update Endpoint Headers         |
| [`svix_messaging_v1_message_attempt_expunge_content`](#svix_messaging_v1_message_attempt_expunge_content)                         | Delete attempt response body    |
| [`svix_messaging_v1_message_attempt_get`](#svix_messaging_v1_message_attempt_get)                                                 | Get Attempt                     |
| [`svix_messaging_v1_message_attempt_list_attempted_destinations`](#svix_messaging_v1_message_attempt_list_attempted_destinations) | List Attempted Destinations     |
| [`svix_messaging_v1_message_attempt_list_attempted_messages`](#svix_messaging_v1_message_attempt_list_attempted_messages)         | List Attempted Messages         |
| [`svix_messaging_v1_message_attempt_list_by_endpoint`](#svix_messaging_v1_message_attempt_list_by_endpoint)                       | List Attempts By Endpoint       |
| [`svix_messaging_v1_message_attempt_list_by_msg`](#svix_messaging_v1_message_attempt_list_by_msg)                                 | List Attempts By Msg            |
| [`svix_messaging_v1_message_attempt_resend`](#svix_messaging_v1_message_attempt_resend)                                           | Resend Webhook                  |
| [`svix_messaging_v1_message_create`](#svix_messaging_v1_message_create)                                                           | Create Message                  |
| [`svix_messaging_v1_message_expunge_all_contents`](#svix_messaging_v1_message_expunge_all_contents)                               | Expunge all message contents    |
| [`svix_messaging_v1_message_expunge_content`](#svix_messaging_v1_message_expunge_content)                                         | Delete message payload          |
| [`svix_messaging_v1_message_get`](#svix_messaging_v1_message_get)                                                                 | Get Message                     |
| [`svix_messaging_v1_message_list`](#svix_messaging_v1_message_list)                                                               | List Messages                   |
| [`svix_messaging_v1_message_poller_consumer_poll`](#svix_messaging_v1_message_poller_consumer_poll)                               | Poller Consumer Poll            |
| [`svix_messaging_v1_message_poller_consumer_seek`](#svix_messaging_v1_message_poller_consumer_seek)                               | Poller Consumer Seek            |
| [`svix_messaging_v1_message_poller_poll`](#svix_messaging_v1_message_poller_poll)                                                 | Poller Poll                     |
| [`svix_messaging_v1_message_precheck`](#svix_messaging_v1_message_precheck)                                                       | Create Message Precheck         |

***

## svix\_messaging\_v1\_endpoint\_bulk\_replay

Bulk Replay Messages

**Parameters:**

| Parameter         | Type      | Required | Default | Description                                                                                                                                 |                   |
| ----------------- | --------- | -------- | ------- | ------------------------------------------------------------------------------------------------------------------------------------------- | ----------------- |
| `app_id`          | string    | Yes      | —       | The Application's ID or UID.                                                                                                                |                   |
| `endpoint_id`     | string    | Yes      | —       | The Endpoint's ID or UID.                                                                                                                   |                   |
| `idempotency-key` | string    | No       | —       | The request's idempotency key                                                                                                               |                   |
| `channel`         | string    | null     | No      | —                                                                                                                                           | The channel value |
| `eventTypes`      | string\[] | No       | —       | Event Types                                                                                                                                 |                   |
| `since`           | string    | Yes      | —       | The since value                                                                                                                             |                   |
| `status`          | integer   | No       | —       | The sending status of the message:  - Success = 0 - Pending = 1 - Fail = 2 - Sending = 3                                                    |                   |
| `statusCodeClass` | integer   | No       | —       | The different classes of HTTP status codes:  - CodeNone = 0 - Code1xx = 100 - Code2xx = 200 - Code3xx = 300 - Code4xx = 400 - Code5xx = 500 |                   |
| `tag`             | string    | null     | No      | —                                                                                                                                           | The tag value     |
| `until`           | string    | null     | No      | —                                                                                                                                           | The until value   |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "app_id": {
        "type": "string",
        "description": "The Application's ID or UID."
      },
      "endpoint_id": {
        "type": "string",
        "description": "The Endpoint's ID or UID."
      },
      "idempotency-key": {
        "type": "string",
        "description": "The request's idempotency key"
      },
      "channel": {
        "type": [
          "string",
          "null"
        ],
        "description": "The channel value"
      },
      "eventTypes": {
        "type": "array",
        "items": {
          "type": "string"
        },
        "description": "Event Types"
      },
      "since": {
        "type": "string",
        "description": "The since value"
      },
      "status": {
        "type": "integer",
        "description": "The sending status of the message:  - Success = 0 - Pending = 1 - Fail = 2 - Sending = 3",
        "enum": [
          0,
          1,
          2,
          3
        ]
      },
      "statusCodeClass": {
        "type": "integer",
        "description": "The different classes of HTTP status codes:  - CodeNone = 0 - Code1xx = 100 - Code2xx = 200 - Code3xx = 300 - Code4xx = 400 - Code5xx = 500",
        "enum": [
          0,
          100,
          200,
          300,
          400,
          500
        ]
      },
      "tag": {
        "type": [
          "string",
          "null"
        ],
        "description": "The tag value"
      },
      "until": {
        "type": [
          "string",
          "null"
        ],
        "description": "The until value"
      }
    },
    "required": [
      "PCID",
      "app_id",
      "endpoint_id",
      "since"
    ]
  }
  ```
</Expandable>

***

## svix\_messaging\_v1\_endpoint\_create

Create Endpoint

**Parameters:**

| Parameter         | Type      | Required | Default | Description                                                       |                                                                                                                                                                                         |
| ----------------- | --------- | -------- | ------- | ----------------------------------------------------------------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `app_id`          | string    | Yes      | —       | The Application's ID or UID.                                      |                                                                                                                                                                                         |
| `idempotency-key` | string    | No       | —       | The request's idempotency key                                     |                                                                                                                                                                                         |
| `channels`        | string\[] | No       | —       | List of message channels this endpoint listens to (omit for all). |                                                                                                                                                                                         |
| `description`     | string    | No       | —       | The description value                                             |                                                                                                                                                                                         |
| `disabled`        | boolean   | No       | —       | The disabled value                                                |                                                                                                                                                                                         |
| `filterTypes`     | string\[] | No       | —       | Filter Types                                                      |                                                                                                                                                                                         |
| `headers`         | object    | No       | —       | The headers value                                                 |                                                                                                                                                                                         |
| `metadata`        | object    | No       | —       | The metadata value                                                |                                                                                                                                                                                         |
| `rateLimit`       | integer   | null     | No      | —                                                                 | Deprecated, use `throttleRate` instead.                                                                                                                                                 |
| `secret`          | string    | null     | No      | —                                                                 | The endpoint's verification secret.  Format: `base64` encoded random bytes optionally prefixed with `whsec_`. It is recommended to not set this and let the server generate the secret. |
| `throttleRate`    | integer   | null     | No      | —                                                                 | Maximum messages per second to send to this endpoint.  Outgoing messages will be throttled to this rate.                                                                                |
| `uid`             | string    | null     | No      | —                                                                 | Optional unique identifier for the endpoint.                                                                                                                                            |
| `url`             | string    | Yes      | —       | The url value                                                     |                                                                                                                                                                                         |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "app_id": {
        "type": "string",
        "description": "The Application's ID or UID."
      },
      "idempotency-key": {
        "type": "string",
        "description": "The request's idempotency key"
      },
      "channels": {
        "type": "array",
        "items": {
          "type": "string"
        },
        "description": "List of message channels this endpoint listens to (omit for all)."
      },
      "description": {
        "type": "string",
        "description": "The description value"
      },
      "disabled": {
        "type": "boolean",
        "description": "The disabled value"
      },
      "filterTypes": {
        "type": "array",
        "items": {
          "type": "string"
        },
        "description": "Filter Types"
      },
      "headers": {
        "type": "object",
        "description": "The headers value"
      },
      "metadata": {
        "type": "object",
        "description": "The metadata value"
      },
      "rateLimit": {
        "type": [
          "integer",
          "null"
        ],
        "description": "Deprecated, use `throttleRate` instead."
      },
      "secret": {
        "type": [
          "string",
          "null"
        ],
        "description": "The endpoint's verification secret.  Format: `base64` encoded random bytes optionally prefixed with `whsec_`. It is recommended to not set this and let the server generate the secret."
      },
      "throttleRate": {
        "type": [
          "integer",
          "null"
        ],
        "description": "Maximum messages per second to send to this endpoint.  Outgoing messages will be throttled to this rate."
      },
      "uid": {
        "type": [
          "string",
          "null"
        ],
        "description": "Optional unique identifier for the endpoint."
      },
      "url": {
        "type": "string",
        "description": "The url value"
      }
    },
    "required": [
      "PCID",
      "app_id",
      "url"
    ]
  }
  ```
</Expandable>

***

## svix\_messaging\_v1\_endpoint\_delete

Delete Endpoint

**Parameters:**

| Parameter     | Type   | Required | Default | Description                  |
| ------------- | ------ | -------- | ------- | ---------------------------- |
| `app_id`      | string | Yes      | —       | The Application's ID or UID. |
| `endpoint_id` | string | Yes      | —       | The Endpoint's ID or UID.    |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "app_id": {
        "type": "string",
        "description": "The Application's ID or UID."
      },
      "endpoint_id": {
        "type": "string",
        "description": "The Endpoint's ID or UID."
      }
    },
    "required": [
      "PCID",
      "app_id",
      "endpoint_id"
    ]
  }
  ```
</Expandable>

***

## svix\_messaging\_v1\_endpoint\_get

Get Endpoint

**Parameters:**

| Parameter     | Type   | Required | Default | Description                  |
| ------------- | ------ | -------- | ------- | ---------------------------- |
| `app_id`      | string | Yes      | —       | The Application's ID or UID. |
| `endpoint_id` | string | Yes      | —       | The Endpoint's ID or UID.    |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "app_id": {
        "type": "string",
        "description": "The Application's ID or UID."
      },
      "endpoint_id": {
        "type": "string",
        "description": "The Endpoint's ID or UID."
      }
    },
    "required": [
      "PCID",
      "app_id",
      "endpoint_id"
    ]
  }
  ```
</Expandable>

***

## svix\_messaging\_v1\_endpoint\_get\_headers

Get Endpoint Headers

**Parameters:**

| Parameter     | Type   | Required | Default | Description                  |
| ------------- | ------ | -------- | ------- | ---------------------------- |
| `app_id`      | string | Yes      | —       | The Application's ID or UID. |
| `endpoint_id` | string | Yes      | —       | The Endpoint's ID or UID.    |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "app_id": {
        "type": "string",
        "description": "The Application's ID or UID."
      },
      "endpoint_id": {
        "type": "string",
        "description": "The Endpoint's ID or UID."
      }
    },
    "required": [
      "PCID",
      "app_id",
      "endpoint_id"
    ]
  }
  ```
</Expandable>

***

## svix\_messaging\_v1\_endpoint\_get\_secret

Get Endpoint Secret

**Parameters:**

| Parameter     | Type   | Required | Default | Description                  |
| ------------- | ------ | -------- | ------- | ---------------------------- |
| `app_id`      | string | Yes      | —       | The Application's ID or UID. |
| `endpoint_id` | string | Yes      | —       | The Endpoint's ID or UID.    |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "app_id": {
        "type": "string",
        "description": "The Application's ID or UID."
      },
      "endpoint_id": {
        "type": "string",
        "description": "The Endpoint's ID or UID."
      }
    },
    "required": [
      "PCID",
      "app_id",
      "endpoint_id"
    ]
  }
  ```
</Expandable>

***

## svix\_messaging\_v1\_endpoint\_get\_stats

Endpoint Stats

**Parameters:**

| Parameter     | Type   | Required | Default | Description                                       |
| ------------- | ------ | -------- | ------- | ------------------------------------------------- |
| `app_id`      | string | Yes      | —       | The Application's ID or UID.                      |
| `endpoint_id` | string | Yes      | —       | The Endpoint's ID or UID.                         |
| `since`       | string | No       | —       | Filter the range to data starting from this date. |
| `until`       | string | No       | —       | Filter the range to data ending by this date.     |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "app_id": {
        "type": "string",
        "description": "The Application's ID or UID."
      },
      "endpoint_id": {
        "type": "string",
        "description": "The Endpoint's ID or UID."
      },
      "since": {
        "type": "string",
        "description": "Filter the range to data starting from this date."
      },
      "until": {
        "type": "string",
        "description": "Filter the range to data ending by this date."
      }
    },
    "required": [
      "PCID",
      "app_id",
      "endpoint_id"
    ]
  }
  ```
</Expandable>

***

## svix\_messaging\_v1\_endpoint\_list

List Endpoints

**Parameters:**

| Parameter  | Type    | Required | Default | Description                                   |
| ---------- | ------- | -------- | ------- | --------------------------------------------- |
| `app_id`   | string  | Yes      | —       | The Application's ID or UID.                  |
| `limit`    | integer | No       | —       | Limit the number of returned items            |
| `iterator` | string  | No       | —       | The iterator returned from a prior invocation |
| `order`    | string  | No       | —       | The sorting order of the returned items       |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "app_id": {
        "type": "string",
        "description": "The Application's ID or UID."
      },
      "limit": {
        "type": "integer",
        "description": "Limit the number of returned items"
      },
      "iterator": {
        "type": "string",
        "description": "The iterator returned from a prior invocation"
      },
      "order": {
        "type": "string",
        "description": "The sorting order of the returned items",
        "enum": [
          "ascending",
          "descending"
        ]
      }
    },
    "required": [
      "PCID",
      "app_id"
    ]
  }
  ```
</Expandable>

***

## svix\_messaging\_v1\_endpoint\_patch

Patch Endpoint

**Parameters:**

| Parameter      | Type      | Required | Default | Description                  |                                                                                                          |
| -------------- | --------- | -------- | ------- | ---------------------------- | -------------------------------------------------------------------------------------------------------- |
| `app_id`       | string    | Yes      | —       | The Application's ID or UID. |                                                                                                          |
| `endpoint_id`  | string    | Yes      | —       | The Endpoint's ID or UID.    |                                                                                                          |
| `channels`     | string\[] | No       | —       | The channels value           |                                                                                                          |
| `description`  | string    | No       | —       | The description value        |                                                                                                          |
| `disabled`     | boolean   | No       | —       | The disabled value           |                                                                                                          |
| `filterTypes`  | string\[] | No       | —       | Filter Types                 |                                                                                                          |
| `metadata`     | object    | No       | —       | The metadata value           |                                                                                                          |
| `rateLimit`    | integer   | null     | No      | —                            | Deprecated, use `throttleRate` instead.                                                                  |
| `throttleRate` | integer   | null     | No      | —                            | Maximum messages per second to send to this endpoint.  Outgoing messages will be throttled to this rate. |
| `uid`          | string    | null     | No      | —                            | The Endpoint's UID.                                                                                      |
| `url`          | string    | No       | —       | The url value                |                                                                                                          |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "app_id": {
        "type": "string",
        "description": "The Application's ID or UID."
      },
      "endpoint_id": {
        "type": "string",
        "description": "The Endpoint's ID or UID."
      },
      "channels": {
        "type": "array",
        "items": {
          "type": "string"
        },
        "description": "The channels value"
      },
      "description": {
        "type": "string",
        "description": "The description value"
      },
      "disabled": {
        "type": "boolean",
        "description": "The disabled value"
      },
      "filterTypes": {
        "type": "array",
        "items": {
          "type": "string"
        },
        "description": "Filter Types"
      },
      "metadata": {
        "type": "object",
        "description": "The metadata value"
      },
      "rateLimit": {
        "type": [
          "integer",
          "null"
        ],
        "description": "Deprecated, use `throttleRate` instead."
      },
      "throttleRate": {
        "type": [
          "integer",
          "null"
        ],
        "description": "Maximum messages per second to send to this endpoint.  Outgoing messages will be throttled to this rate."
      },
      "uid": {
        "type": [
          "string",
          "null"
        ],
        "description": "The Endpoint's UID."
      },
      "url": {
        "type": "string",
        "description": "The url value"
      }
    },
    "required": [
      "PCID",
      "app_id",
      "endpoint_id"
    ]
  }
  ```
</Expandable>

***

## svix\_messaging\_v1\_endpoint\_patch\_headers

Patch Endpoint Headers

**Parameters:**

| Parameter       | Type      | Required | Default | Description                     |
| --------------- | --------- | -------- | ------- | ------------------------------- |
| `app_id`        | string    | Yes      | —       | The Application's ID or UID.    |
| `endpoint_id`   | string    | Yes      | —       | The Endpoint's ID or UID.       |
| `deleteHeaders` | string\[] | No       | —       | A list of headers be be removed |
| `headers`       | object    | Yes      | —       | The headers value               |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "app_id": {
        "type": "string",
        "description": "The Application's ID or UID."
      },
      "endpoint_id": {
        "type": "string",
        "description": "The Endpoint's ID or UID."
      },
      "deleteHeaders": {
        "type": "array",
        "items": {
          "type": "string"
        },
        "description": "A list of headers be be removed"
      },
      "headers": {
        "type": "object",
        "description": "The headers value"
      }
    },
    "required": [
      "PCID",
      "app_id",
      "endpoint_id",
      "headers"
    ]
  }
  ```
</Expandable>

***

## svix\_messaging\_v1\_endpoint\_patch\_transformation

Patch Endpoint Transformation

**Parameters:**

| Parameter     | Type    | Required | Default | Description                  |                |
| ------------- | ------- | -------- | ------- | ---------------------------- | -------------- |
| `app_id`      | string  | Yes      | —       | The Application's ID or UID. |                |
| `endpoint_id` | string  | Yes      | —       | The Endpoint's ID or UID.    |                |
| `code`        | string  | null     | No      | —                            | The code value |
| `enabled`     | boolean | No       | —       | The enabled value            |                |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "app_id": {
        "type": "string",
        "description": "The Application's ID or UID."
      },
      "endpoint_id": {
        "type": "string",
        "description": "The Endpoint's ID or UID."
      },
      "code": {
        "type": [
          "string",
          "null"
        ],
        "description": "The code value"
      },
      "enabled": {
        "type": "boolean",
        "description": "The enabled value"
      }
    },
    "required": [
      "PCID",
      "app_id",
      "endpoint_id"
    ]
  }
  ```
</Expandable>

***

## svix\_messaging\_v1\_endpoint\_recover

Recover Failed Webhooks

**Parameters:**

| Parameter         | Type   | Required | Default | Description                   |                 |
| ----------------- | ------ | -------- | ------- | ----------------------------- | --------------- |
| `app_id`          | string | Yes      | —       | The Application's ID or UID.  |                 |
| `endpoint_id`     | string | Yes      | —       | The Endpoint's ID or UID.     |                 |
| `idempotency-key` | string | No       | —       | The request's idempotency key |                 |
| `since`           | string | Yes      | —       | The since value               |                 |
| `until`           | string | null     | No      | —                             | The until value |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "app_id": {
        "type": "string",
        "description": "The Application's ID or UID."
      },
      "endpoint_id": {
        "type": "string",
        "description": "The Endpoint's ID or UID."
      },
      "idempotency-key": {
        "type": "string",
        "description": "The request's idempotency key"
      },
      "since": {
        "type": "string",
        "description": "The since value"
      },
      "until": {
        "type": [
          "string",
          "null"
        ],
        "description": "The until value"
      }
    },
    "required": [
      "PCID",
      "app_id",
      "endpoint_id",
      "since"
    ]
  }
  ```
</Expandable>

***

## svix\_messaging\_v1\_endpoint\_replay\_missing

Replay Missing Webhooks

**Parameters:**

| Parameter         | Type   | Required | Default | Description                   |                 |
| ----------------- | ------ | -------- | ------- | ----------------------------- | --------------- |
| `app_id`          | string | Yes      | —       | The Application's ID or UID.  |                 |
| `endpoint_id`     | string | Yes      | —       | The Endpoint's ID or UID.     |                 |
| `idempotency-key` | string | No       | —       | The request's idempotency key |                 |
| `since`           | string | Yes      | —       | The since value               |                 |
| `until`           | string | null     | No      | —                             | The until value |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "app_id": {
        "type": "string",
        "description": "The Application's ID or UID."
      },
      "endpoint_id": {
        "type": "string",
        "description": "The Endpoint's ID or UID."
      },
      "idempotency-key": {
        "type": "string",
        "description": "The request's idempotency key"
      },
      "since": {
        "type": "string",
        "description": "The since value"
      },
      "until": {
        "type": [
          "string",
          "null"
        ],
        "description": "The until value"
      }
    },
    "required": [
      "PCID",
      "app_id",
      "endpoint_id",
      "since"
    ]
  }
  ```
</Expandable>

***

## svix\_messaging\_v1\_endpoint\_rotate\_secret

Rotate Endpoint Secret

**Parameters:**

| Parameter         | Type   | Required | Default | Description                   |                                                                                                                                                                                         |
| ----------------- | ------ | -------- | ------- | ----------------------------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `app_id`          | string | Yes      | —       | The Application's ID or UID.  |                                                                                                                                                                                         |
| `endpoint_id`     | string | Yes      | —       | The Endpoint's ID or UID.     |                                                                                                                                                                                         |
| `idempotency-key` | string | No       | —       | The request's idempotency key |                                                                                                                                                                                         |
| `key`             | string | null     | No      | —                             | The endpoint's verification secret.  Format: `base64` encoded random bytes optionally prefixed with `whsec_`. It is recommended to not set this and let the server generate the secret. |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "app_id": {
        "type": "string",
        "description": "The Application's ID or UID."
      },
      "endpoint_id": {
        "type": "string",
        "description": "The Endpoint's ID or UID."
      },
      "idempotency-key": {
        "type": "string",
        "description": "The request's idempotency key"
      },
      "key": {
        "type": [
          "string",
          "null"
        ],
        "description": "The endpoint's verification secret.  Format: `base64` encoded random bytes optionally prefixed with `whsec_`. It is recommended to not set this and let the server generate the secret."
      }
    },
    "required": [
      "PCID",
      "app_id",
      "endpoint_id"
    ]
  }
  ```
</Expandable>

***

## svix\_messaging\_v1\_endpoint\_send\_example

Send Event Type Example Message

**Parameters:**

| Parameter         | Type    | Required | Default | Description                                                                                                                                                                    |
| ----------------- | ------- | -------- | ------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ |
| `app_id`          | string  | Yes      | —       | The Application's ID or UID.                                                                                                                                                   |
| `endpoint_id`     | string  | Yes      | —       | The Endpoint's ID or UID.                                                                                                                                                      |
| `idempotency-key` | string  | No       | —       | The request's idempotency key                                                                                                                                                  |
| `eventType`       | string  | Yes      | —       | The event type's name                                                                                                                                                          |
| `exampleIndex`    | integer | No       | —       | If the event type schema contains an array of examples, chooses which one to send.  Defaults to the first example. Ignored if the schema doesn't contain an array of examples. |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "app_id": {
        "type": "string",
        "description": "The Application's ID or UID."
      },
      "endpoint_id": {
        "type": "string",
        "description": "The Endpoint's ID or UID."
      },
      "idempotency-key": {
        "type": "string",
        "description": "The request's idempotency key"
      },
      "eventType": {
        "type": "string",
        "description": "The event type's name"
      },
      "exampleIndex": {
        "type": "integer",
        "description": "If the event type schema contains an array of examples, chooses which one to send.  Defaults to the first example. Ignored if the schema doesn't contain an array of examples."
      }
    },
    "required": [
      "PCID",
      "app_id",
      "endpoint_id",
      "eventType"
    ]
  }
  ```
</Expandable>

***

## svix\_messaging\_v1\_endpoint\_transformation\_get

Get Endpoint Transformation

**Parameters:**

| Parameter     | Type   | Required | Default | Description                  |
| ------------- | ------ | -------- | ------- | ---------------------------- |
| `app_id`      | string | Yes      | —       | The Application's ID or UID. |
| `endpoint_id` | string | Yes      | —       | The Endpoint's ID or UID.    |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "app_id": {
        "type": "string",
        "description": "The Application's ID or UID."
      },
      "endpoint_id": {
        "type": "string",
        "description": "The Endpoint's ID or UID."
      }
    },
    "required": [
      "PCID",
      "app_id",
      "endpoint_id"
    ]
  }
  ```
</Expandable>

***

## svix\_messaging\_v1\_endpoint\_update

Update Endpoint

**Parameters:**

| Parameter      | Type      | Required | Default | Description                                                       |                                                                                                          |
| -------------- | --------- | -------- | ------- | ----------------------------------------------------------------- | -------------------------------------------------------------------------------------------------------- |
| `app_id`       | string    | Yes      | —       | The Application's ID or UID.                                      |                                                                                                          |
| `endpoint_id`  | string    | Yes      | —       | The Endpoint's ID or UID.                                         |                                                                                                          |
| `channels`     | string\[] | No       | —       | List of message channels this endpoint listens to (omit for all). |                                                                                                          |
| `description`  | string    | No       | —       | The description value                                             |                                                                                                          |
| `disabled`     | boolean   | No       | —       | The disabled value                                                |                                                                                                          |
| `filterTypes`  | string\[] | No       | —       | Filter Types                                                      |                                                                                                          |
| `metadata`     | object    | No       | —       | The metadata value                                                |                                                                                                          |
| `rateLimit`    | integer   | null     | No      | —                                                                 | Deprecated, use `throttleRate` instead.                                                                  |
| `throttleRate` | integer   | null     | No      | —                                                                 | Maximum messages per second to send to this endpoint.  Outgoing messages will be throttled to this rate. |
| `uid`          | string    | null     | No      | —                                                                 | Optional unique identifier for the endpoint.                                                             |
| `url`          | string    | Yes      | —       | The url value                                                     |                                                                                                          |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "app_id": {
        "type": "string",
        "description": "The Application's ID or UID."
      },
      "endpoint_id": {
        "type": "string",
        "description": "The Endpoint's ID or UID."
      },
      "channels": {
        "type": "array",
        "items": {
          "type": "string"
        },
        "description": "List of message channels this endpoint listens to (omit for all)."
      },
      "description": {
        "type": "string",
        "description": "The description value"
      },
      "disabled": {
        "type": "boolean",
        "description": "The disabled value"
      },
      "filterTypes": {
        "type": "array",
        "items": {
          "type": "string"
        },
        "description": "Filter Types"
      },
      "metadata": {
        "type": "object",
        "description": "The metadata value"
      },
      "rateLimit": {
        "type": [
          "integer",
          "null"
        ],
        "description": "Deprecated, use `throttleRate` instead."
      },
      "throttleRate": {
        "type": [
          "integer",
          "null"
        ],
        "description": "Maximum messages per second to send to this endpoint.  Outgoing messages will be throttled to this rate."
      },
      "uid": {
        "type": [
          "string",
          "null"
        ],
        "description": "Optional unique identifier for the endpoint."
      },
      "url": {
        "type": "string",
        "description": "The url value"
      }
    },
    "required": [
      "PCID",
      "app_id",
      "endpoint_id",
      "url"
    ]
  }
  ```
</Expandable>

***

## svix\_messaging\_v1\_endpoint\_update\_headers

Update Endpoint Headers

**Parameters:**

| Parameter     | Type   | Required | Default | Description                  |
| ------------- | ------ | -------- | ------- | ---------------------------- |
| `app_id`      | string | Yes      | —       | The Application's ID or UID. |
| `endpoint_id` | string | Yes      | —       | The Endpoint's ID or UID.    |
| `headers`     | object | Yes      | —       | The headers value            |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "app_id": {
        "type": "string",
        "description": "The Application's ID or UID."
      },
      "endpoint_id": {
        "type": "string",
        "description": "The Endpoint's ID or UID."
      },
      "headers": {
        "type": "object",
        "description": "The headers value"
      }
    },
    "required": [
      "PCID",
      "app_id",
      "endpoint_id",
      "headers"
    ]
  }
  ```
</Expandable>

***

## svix\_messaging\_v1\_message\_attempt\_expunge\_content

Delete attempt response body

**Parameters:**

| Parameter    | Type   | Required | Default | Description                  |
| ------------ | ------ | -------- | ------- | ---------------------------- |
| `app_id`     | string | Yes      | —       | The Application's ID or UID. |
| `msg_id`     | string | Yes      | —       | The Message's ID or UID.     |
| `attempt_id` | string | Yes      | —       | The MessageAttempt's ID.     |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "app_id": {
        "type": "string",
        "description": "The Application's ID or UID."
      },
      "msg_id": {
        "type": "string",
        "description": "The Message's ID or UID."
      },
      "attempt_id": {
        "type": "string",
        "description": "The MessageAttempt's ID."
      }
    },
    "required": [
      "PCID",
      "app_id",
      "msg_id",
      "attempt_id"
    ]
  }
  ```
</Expandable>

***

## svix\_messaging\_v1\_message\_attempt\_get

Get Attempt

**Parameters:**

| Parameter    | Type   | Required | Default | Description                  |
| ------------ | ------ | -------- | ------- | ---------------------------- |
| `app_id`     | string | Yes      | —       | The Application's ID or UID. |
| `msg_id`     | string | Yes      | —       | The Message's ID or UID.     |
| `attempt_id` | string | Yes      | —       | The MessageAttempt's ID.     |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "app_id": {
        "type": "string",
        "description": "The Application's ID or UID."
      },
      "msg_id": {
        "type": "string",
        "description": "The Message's ID or UID."
      },
      "attempt_id": {
        "type": "string",
        "description": "The MessageAttempt's ID."
      }
    },
    "required": [
      "PCID",
      "app_id",
      "msg_id",
      "attempt_id"
    ]
  }
  ```
</Expandable>

***

## svix\_messaging\_v1\_message\_attempt\_list\_attempted\_destinations

List Attempted Destinations

**Parameters:**

| Parameter  | Type    | Required | Default | Description                                   |
| ---------- | ------- | -------- | ------- | --------------------------------------------- |
| `limit`    | integer | No       | —       | Limit the number of returned items            |
| `iterator` | string  | No       | —       | The iterator returned from a prior invocation |
| `app_id`   | string  | Yes      | —       | The Application's ID or UID.                  |
| `msg_id`   | string  | Yes      | —       | The Message's ID or UID.                      |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "limit": {
        "type": "integer",
        "description": "Limit the number of returned items"
      },
      "iterator": {
        "type": "string",
        "description": "The iterator returned from a prior invocation"
      },
      "app_id": {
        "type": "string",
        "description": "The Application's ID or UID."
      },
      "msg_id": {
        "type": "string",
        "description": "The Message's ID or UID."
      }
    },
    "required": [
      "PCID",
      "app_id",
      "msg_id"
    ]
  }
  ```
</Expandable>

***

## svix\_messaging\_v1\_message\_attempt\_list\_attempted\_messages

List Attempted Messages

**Parameters:**

| Parameter      | Type      | Required | Default | Description                                                                                              |
| -------------- | --------- | -------- | ------- | -------------------------------------------------------------------------------------------------------- |
| `limit`        | integer   | No       | —       | Limit the number of returned items                                                                       |
| `iterator`     | string    | No       | —       | The iterator returned from a prior invocation                                                            |
| `channel`      | string    | No       | —       | Filter response based on the channel                                                                     |
| `tag`          | string    | No       | —       | Filter response based on the message tags                                                                |
| `status`       | integer   | No       | —       | Filter response based on the status of the attempt: Success (0), Pending (1), Failed (2), or Sending (3) |
| `before`       | string    | No       | —       | Only include items created before a certain date                                                         |
| `after`        | string    | No       | —       | Only include items created after a certain date                                                          |
| `with_content` | boolean   | No       | —       | When `true` message payloads are included in the response                                                |
| `app_id`       | string    | Yes      | —       | The Application's ID or UID.                                                                             |
| `endpoint_id`  | string    | Yes      | —       | The Endpoint's ID or UID.                                                                                |
| `event_types`  | string\[] | No       | —       | Filter response based on the event type                                                                  |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "limit": {
        "type": "integer",
        "description": "Limit the number of returned items"
      },
      "iterator": {
        "type": "string",
        "description": "The iterator returned from a prior invocation"
      },
      "channel": {
        "type": "string",
        "description": "Filter response based on the channel"
      },
      "tag": {
        "type": "string",
        "description": "Filter response based on the message tags"
      },
      "status": {
        "type": "integer",
        "description": "Filter response based on the status of the attempt: Success (0), Pending (1), Failed (2), or Sending (3)",
        "enum": [
          0,
          1,
          2,
          3
        ]
      },
      "before": {
        "type": "string",
        "description": "Only include items created before a certain date"
      },
      "after": {
        "type": "string",
        "description": "Only include items created after a certain date"
      },
      "with_content": {
        "type": "boolean",
        "description": "When `true` message payloads are included in the response"
      },
      "app_id": {
        "type": "string",
        "description": "The Application's ID or UID."
      },
      "endpoint_id": {
        "type": "string",
        "description": "The Endpoint's ID or UID."
      },
      "event_types": {
        "type": "array",
        "items": {
          "type": "string"
        },
        "description": "Filter response based on the event type"
      }
    },
    "required": [
      "PCID",
      "app_id",
      "endpoint_id"
    ]
  }
  ```
</Expandable>

***

## svix\_messaging\_v1\_message\_attempt\_list\_by\_endpoint

List Attempts By Endpoint

**Parameters:**

| Parameter           | Type      | Required | Default | Description                                                                                                                                               |
| ------------------- | --------- | -------- | ------- | --------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `limit`             | integer   | No       | —       | Limit the number of returned items                                                                                                                        |
| `iterator`          | string    | No       | —       | The iterator returned from a prior invocation                                                                                                             |
| `status`            | integer   | No       | —       | Filter response based on the status of the attempt: Success (0), Pending (1), Failed (2), or Sending (3)                                                  |
| `status_code_class` | integer   | No       | —       | Filter response based on the HTTP status code                                                                                                             |
| `channel`           | string    | No       | —       | Filter response based on the channel                                                                                                                      |
| `tag`               | string    | No       | —       | Filter response based on the tag                                                                                                                          |
| `before`            | string    | No       | —       | Only include items created before a certain date                                                                                                          |
| `after`             | string    | No       | —       | Only include items created after a certain date                                                                                                           |
| `with_content`      | boolean   | No       | —       | When `true` attempt content is included in the response                                                                                                   |
| `with_msg`          | boolean   | No       | —       | When `true`, the message information is included in the response  Note that message payloads are never included in the response, regardless of this flag. |
| `event_types`       | string\[] | No       | —       | Filter response based on the event type                                                                                                                   |
| `app_id`            | string    | Yes      | —       | The Application's ID or UID.                                                                                                                              |
| `endpoint_id`       | string    | Yes      | —       | The Endpoint's ID or UID.                                                                                                                                 |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "limit": {
        "type": "integer",
        "description": "Limit the number of returned items"
      },
      "iterator": {
        "type": "string",
        "description": "The iterator returned from a prior invocation"
      },
      "status": {
        "type": "integer",
        "description": "Filter response based on the status of the attempt: Success (0), Pending (1), Failed (2), or Sending (3)",
        "enum": [
          0,
          1,
          2,
          3
        ]
      },
      "status_code_class": {
        "type": "integer",
        "description": "Filter response based on the HTTP status code",
        "enum": [
          0,
          100,
          200,
          300,
          400,
          500
        ]
      },
      "channel": {
        "type": "string",
        "description": "Filter response based on the channel"
      },
      "tag": {
        "type": "string",
        "description": "Filter response based on the tag"
      },
      "before": {
        "type": "string",
        "description": "Only include items created before a certain date"
      },
      "after": {
        "type": "string",
        "description": "Only include items created after a certain date"
      },
      "with_content": {
        "type": "boolean",
        "description": "When `true` attempt content is included in the response"
      },
      "with_msg": {
        "type": "boolean",
        "description": "When `true`, the message information is included in the response  Note that message payloads are never included in the response, regardless of this flag."
      },
      "event_types": {
        "type": "array",
        "items": {
          "type": "string"
        },
        "description": "Filter response based on the event type"
      },
      "app_id": {
        "type": "string",
        "description": "The Application's ID or UID."
      },
      "endpoint_id": {
        "type": "string",
        "description": "The Endpoint's ID or UID."
      }
    },
    "required": [
      "PCID",
      "app_id",
      "endpoint_id"
    ]
  }
  ```
</Expandable>

***

## svix\_messaging\_v1\_message\_attempt\_list\_by\_msg

List Attempts By Msg

**Parameters:**

| Parameter           | Type      | Required | Default | Description                                                                                              |
| ------------------- | --------- | -------- | ------- | -------------------------------------------------------------------------------------------------------- |
| `limit`             | integer   | No       | —       | Limit the number of returned items                                                                       |
| `iterator`          | string    | No       | —       | The iterator returned from a prior invocation                                                            |
| `status`            | integer   | No       | —       | Filter response based on the status of the attempt: Success (0), Pending (1), Failed (2), or Sending (3) |
| `status_code_class` | integer   | No       | —       | Filter response based on the HTTP status code                                                            |
| `channel`           | string    | No       | —       | Filter response based on the channel                                                                     |
| `tag`               | string    | No       | —       | Filter response based on the tag                                                                         |
| `endpoint_id`       | string    | No       | —       | Filter the attempts based on the attempted endpoint                                                      |
| `before`            | string    | No       | —       | Only include items created before a certain date                                                         |
| `after`             | string    | No       | —       | Only include items created after a certain date                                                          |
| `with_content`      | boolean   | No       | —       | When `true` attempt content is included in the response                                                  |
| `app_id`            | string    | Yes      | —       | The Application's ID or UID.                                                                             |
| `msg_id`            | string    | Yes      | —       | The Message's ID or UID.                                                                                 |
| `event_types`       | string\[] | No       | —       | Filter response based on the event type                                                                  |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "limit": {
        "type": "integer",
        "description": "Limit the number of returned items"
      },
      "iterator": {
        "type": "string",
        "description": "The iterator returned from a prior invocation"
      },
      "status": {
        "type": "integer",
        "description": "Filter response based on the status of the attempt: Success (0), Pending (1), Failed (2), or Sending (3)",
        "enum": [
          0,
          1,
          2,
          3
        ]
      },
      "status_code_class": {
        "type": "integer",
        "description": "Filter response based on the HTTP status code",
        "enum": [
          0,
          100,
          200,
          300,
          400,
          500
        ]
      },
      "channel": {
        "type": "string",
        "description": "Filter response based on the channel"
      },
      "tag": {
        "type": "string",
        "description": "Filter response based on the tag"
      },
      "endpoint_id": {
        "type": "string",
        "description": "Filter the attempts based on the attempted endpoint"
      },
      "before": {
        "type": "string",
        "description": "Only include items created before a certain date"
      },
      "after": {
        "type": "string",
        "description": "Only include items created after a certain date"
      },
      "with_content": {
        "type": "boolean",
        "description": "When `true` attempt content is included in the response"
      },
      "app_id": {
        "type": "string",
        "description": "The Application's ID or UID."
      },
      "msg_id": {
        "type": "string",
        "description": "The Message's ID or UID."
      },
      "event_types": {
        "type": "array",
        "items": {
          "type": "string"
        },
        "description": "Filter response based on the event type"
      }
    },
    "required": [
      "PCID",
      "app_id",
      "msg_id"
    ]
  }
  ```
</Expandable>

***

## svix\_messaging\_v1\_message\_attempt\_resend

Resend Webhook

**Parameters:**

| Parameter         | Type   | Required | Default | Description                   |
| ----------------- | ------ | -------- | ------- | ----------------------------- |
| `app_id`          | string | Yes      | —       | The Application's ID or UID.  |
| `msg_id`          | string | Yes      | —       | The Message's ID or UID.      |
| `endpoint_id`     | string | Yes      | —       | The Endpoint's ID or UID.     |
| `idempotency-key` | string | No       | —       | The request's idempotency key |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "app_id": {
        "type": "string",
        "description": "The Application's ID or UID."
      },
      "msg_id": {
        "type": "string",
        "description": "The Message's ID or UID."
      },
      "endpoint_id": {
        "type": "string",
        "description": "The Endpoint's ID or UID."
      },
      "idempotency-key": {
        "type": "string",
        "description": "The request's idempotency key"
      }
    },
    "required": [
      "PCID",
      "app_id",
      "msg_id",
      "endpoint_id"
    ]
  }
  ```
</Expandable>

***

## svix\_messaging\_v1\_message\_create

Create Message

**Parameters:**

| Parameter                | Type      | Required | Default | Description                                                                                                                                  |                                                                                                                                                                          |
| ------------------------ | --------- | -------- | ------- | -------------------------------------------------------------------------------------------------------------------------------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------ |
| `app_id`                 | string    | Yes      | —       | The Application's ID or UID.                                                                                                                 |                                                                                                                                                                          |
| `with_content`           | boolean   | No       | —       | When `true`, message payloads are included in the response.                                                                                  |                                                                                                                                                                          |
| `idempotency-key`        | string    | No       | —       | The request's idempotency key                                                                                                                |                                                                                                                                                                          |
| `application`            | object    | No       | —       | The application value                                                                                                                        |                                                                                                                                                                          |
| `channels`               | string\[] | No       | —       | List of free-form identifiers that endpoints can filter by                                                                                   |                                                                                                                                                                          |
| `deliverAt`              | string    | null     | No      | —                                                                                                                                            | The date and time at which the message will be delivered.  Note that this time is best-effort-only. Must be at least one minute and no more than 24 hours in the future. |
| `eventId`                | string    | null     | No      | —                                                                                                                                            | Optional unique identifier for the message                                                                                                                               |
| `eventType`              | string    | Yes      | —       | The event type's name                                                                                                                        |                                                                                                                                                                          |
| `payload`                | object    | Yes      | —       | JSON payload to send as the request body of the webhook.  We also support sending non-JSON payloads. Please contact us for more information. |                                                                                                                                                                          |
| `payloadRetentionHours`  | integer   | null     | No      | —                                                                                                                                            | Optional number of hours to retain the message payload. Note that this is mutually exclusive with `payloadRetentionPeriod`.                                              |
| `payloadRetentionPeriod` | integer   | null     | No      | —                                                                                                                                            | Optional number of days to retain the message payload. Defaults to 90. Note that this is mutually exclusive with `payloadRetentionHours`.                                |
| `tags`                   | string\[] | No       | —       | List of free-form tags that can be filtered by when listing messages                                                                         |                                                                                                                                                                          |
| `transformationsParams`  | object    | No       | —       | Extra parameters to pass to Transformations (for future use)                                                                                 |                                                                                                                                                                          |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "app_id": {
        "type": "string",
        "description": "The Application's ID or UID."
      },
      "with_content": {
        "type": "boolean",
        "description": "When `true`, message payloads are included in the response."
      },
      "idempotency-key": {
        "type": "string",
        "description": "The request's idempotency key"
      },
      "application": {
        "type": "object",
        "description": "The application value",
        "properties": {
          "metadata": {
            "type": "object",
            "description": "The metadata value"
          },
          "name": {
            "type": "string",
            "description": "Application name for human consumption."
          },
          "rateLimit": {
            "type": "integer",
            "description": "Deprecated, use `throttleRate` instead."
          },
          "throttleRate": {
            "type": "integer",
            "description": "Maximum messages per second to send to this application.  Outgoing messages will be throttled to this rate."
          },
          "uid": {
            "type": "string",
            "description": "Optional unique identifier for the application."
          }
        },
        "required": [
          "name"
        ]
      },
      "channels": {
        "type": "array",
        "items": {
          "type": "string"
        },
        "description": "List of free-form identifiers that endpoints can filter by"
      },
      "deliverAt": {
        "type": [
          "string",
          "null"
        ],
        "description": "The date and time at which the message will be delivered.  Note that this time is best-effort-only. Must be at least one minute and no more than 24 hours in the future."
      },
      "eventId": {
        "type": [
          "string",
          "null"
        ],
        "description": "Optional unique identifier for the message"
      },
      "eventType": {
        "type": "string",
        "description": "The event type's name"
      },
      "payload": {
        "type": "object",
        "description": "JSON payload to send as the request body of the webhook.  We also support sending non-JSON payloads. Please contact us for more information."
      },
      "payloadRetentionHours": {
        "type": [
          "integer",
          "null"
        ],
        "description": "Optional number of hours to retain the message payload. Note that this is mutually exclusive with `payloadRetentionPeriod`."
      },
      "payloadRetentionPeriod": {
        "type": [
          "integer",
          "null"
        ],
        "description": "Optional number of days to retain the message payload. Defaults to 90. Note that this is mutually exclusive with `payloadRetentionHours`."
      },
      "tags": {
        "type": "array",
        "items": {
          "type": "string"
        },
        "description": "List of free-form tags that can be filtered by when listing messages"
      },
      "transformationsParams": {
        "type": "object",
        "description": "Extra parameters to pass to Transformations (for future use)"
      }
    },
    "required": [
      "PCID",
      "app_id",
      "eventType",
      "payload"
    ]
  }
  ```
</Expandable>

***

## svix\_messaging\_v1\_message\_expunge\_all\_contents

Expunge all message contents

**Parameters:**

| Parameter         | Type   | Required | Default | Description                   |
| ----------------- | ------ | -------- | ------- | ----------------------------- |
| `app_id`          | string | Yes      | —       | The Application's ID or UID.  |
| `idempotency-key` | string | No       | —       | The request's idempotency key |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "app_id": {
        "type": "string",
        "description": "The Application's ID or UID."
      },
      "idempotency-key": {
        "type": "string",
        "description": "The request's idempotency key"
      }
    },
    "required": [
      "PCID",
      "app_id"
    ]
  }
  ```
</Expandable>

***

## svix\_messaging\_v1\_message\_expunge\_content

Delete message payload

**Parameters:**

| Parameter | Type   | Required | Default | Description                  |
| --------- | ------ | -------- | ------- | ---------------------------- |
| `app_id`  | string | Yes      | —       | The Application's ID or UID. |
| `msg_id`  | string | Yes      | —       | The Message's ID or UID.     |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "app_id": {
        "type": "string",
        "description": "The Application's ID or UID."
      },
      "msg_id": {
        "type": "string",
        "description": "The Message's ID or UID."
      }
    },
    "required": [
      "PCID",
      "app_id",
      "msg_id"
    ]
  }
  ```
</Expandable>

***

## svix\_messaging\_v1\_message\_get

Get Message

**Parameters:**

| Parameter      | Type    | Required | Default | Description                                                |
| -------------- | ------- | -------- | ------- | ---------------------------------------------------------- |
| `app_id`       | string  | Yes      | —       | The Application's ID or UID.                               |
| `msg_id`       | string  | Yes      | —       | The Message's ID or UID.                                   |
| `with_content` | boolean | No       | —       | When `true` message payloads are included in the response. |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "app_id": {
        "type": "string",
        "description": "The Application's ID or UID."
      },
      "msg_id": {
        "type": "string",
        "description": "The Message's ID or UID."
      },
      "with_content": {
        "type": "boolean",
        "description": "When `true` message payloads are included in the response."
      }
    },
    "required": [
      "PCID",
      "app_id",
      "msg_id"
    ]
  }
  ```
</Expandable>

***

## svix\_messaging\_v1\_message\_list

List Messages

**Parameters:**

| Parameter      | Type      | Required | Default | Description                                                |
| -------------- | --------- | -------- | ------- | ---------------------------------------------------------- |
| `app_id`       | string    | Yes      | —       | The Application's ID or UID.                               |
| `limit`        | integer   | No       | —       | Limit the number of returned items                         |
| `iterator`     | string    | No       | —       | The iterator returned from a prior invocation              |
| `channel`      | string    | No       | —       | Filter response based on the channel.                      |
| `before`       | string    | No       | —       | Only include items created before a certain date.          |
| `after`        | string    | No       | —       | Only include items created after a certain date.           |
| `with_content` | boolean   | No       | —       | When `true` message payloads are included in the response. |
| `tag`          | string    | No       | —       | Filter messages matching the provided tag.                 |
| `event_types`  | string\[] | No       | —       | Filter response based on the event type                    |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "app_id": {
        "type": "string",
        "description": "The Application's ID or UID."
      },
      "limit": {
        "type": "integer",
        "description": "Limit the number of returned items"
      },
      "iterator": {
        "type": "string",
        "description": "The iterator returned from a prior invocation"
      },
      "channel": {
        "type": "string",
        "description": "Filter response based on the channel."
      },
      "before": {
        "type": "string",
        "description": "Only include items created before a certain date."
      },
      "after": {
        "type": "string",
        "description": "Only include items created after a certain date."
      },
      "with_content": {
        "type": "boolean",
        "description": "When `true` message payloads are included in the response."
      },
      "tag": {
        "type": "string",
        "description": "Filter messages matching the provided tag."
      },
      "event_types": {
        "type": "array",
        "items": {
          "type": "string"
        },
        "description": "Filter response based on the event type"
      }
    },
    "required": [
      "PCID",
      "app_id"
    ]
  }
  ```
</Expandable>

***

## svix\_messaging\_v1\_message\_poller\_consumer\_poll

Poller Consumer Poll

**Parameters:**

| Parameter     | Type    | Required | Default | Description                                   |
| ------------- | ------- | -------- | ------- | --------------------------------------------- |
| `app_id`      | string  | Yes      | —       | The Application's ID or UID.                  |
| `sink_id`     | string  | Yes      | —       | The Endpoint's ID or UID.                     |
| `consumer_id` | string  | Yes      | —       | Consumer Id                                   |
| `limit`       | integer | No       | —       | Limit the number of returned items            |
| `iterator`    | string  | No       | —       | The iterator returned from a prior invocation |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "app_id": {
        "type": "string",
        "description": "The Application's ID or UID."
      },
      "sink_id": {
        "type": "string",
        "description": "The Endpoint's ID or UID."
      },
      "consumer_id": {
        "type": "string",
        "description": "Consumer Id"
      },
      "limit": {
        "type": "integer",
        "description": "Limit the number of returned items"
      },
      "iterator": {
        "type": "string",
        "description": "The iterator returned from a prior invocation"
      }
    },
    "required": [
      "PCID",
      "app_id",
      "sink_id",
      "consumer_id"
    ]
  }
  ```
</Expandable>

***

## svix\_messaging\_v1\_message\_poller\_consumer\_seek

Poller Consumer Seek

**Parameters:**

| Parameter         | Type   | Required | Default | Description                   |
| ----------------- | ------ | -------- | ------- | ----------------------------- |
| `app_id`          | string | Yes      | —       | The Application's ID or UID.  |
| `sink_id`         | string | Yes      | —       | The Endpoint's ID or UID.     |
| `consumer_id`     | string | Yes      | —       | Consumer Id                   |
| `idempotency-key` | string | No       | —       | The request's idempotency key |
| `after`           | string | Yes      | —       | The after value               |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "app_id": {
        "type": "string",
        "description": "The Application's ID or UID."
      },
      "sink_id": {
        "type": "string",
        "description": "The Endpoint's ID or UID."
      },
      "consumer_id": {
        "type": "string",
        "description": "Consumer Id"
      },
      "idempotency-key": {
        "type": "string",
        "description": "The request's idempotency key"
      },
      "after": {
        "type": "string",
        "description": "The after value"
      }
    },
    "required": [
      "PCID",
      "app_id",
      "sink_id",
      "consumer_id",
      "after"
    ]
  }
  ```
</Expandable>

***

## svix\_messaging\_v1\_message\_poller\_poll

Poller Poll

**Parameters:**

| Parameter    | Type    | Required | Default | Description                                            |
| ------------ | ------- | -------- | ------- | ------------------------------------------------------ |
| `app_id`     | string  | Yes      | —       | The Application's ID or UID.                           |
| `sink_id`    | string  | Yes      | —       | The Endpoint's ID or UID.                              |
| `limit`      | integer | No       | —       | Limit the number of returned items                     |
| `iterator`   | string  | No       | —       | The iterator returned from a prior invocation          |
| `event_type` | string  | No       | —       | Filters messages sent with this event type (optional). |
| `channel`    | string  | No       | —       | Filters messages sent with this channel (optional).    |
| `after`      | string  | No       | —       | The after value                                        |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "app_id": {
        "type": "string",
        "description": "The Application's ID or UID."
      },
      "sink_id": {
        "type": "string",
        "description": "The Endpoint's ID or UID."
      },
      "limit": {
        "type": "integer",
        "description": "Limit the number of returned items"
      },
      "iterator": {
        "type": "string",
        "description": "The iterator returned from a prior invocation"
      },
      "event_type": {
        "type": "string",
        "description": "Filters messages sent with this event type (optional)."
      },
      "channel": {
        "type": "string",
        "description": "Filters messages sent with this channel (optional)."
      },
      "after": {
        "type": "string",
        "description": "The after value"
      }
    },
    "required": [
      "PCID",
      "app_id",
      "sink_id"
    ]
  }
  ```
</Expandable>

***

## svix\_messaging\_v1\_message\_precheck

Create Message Precheck

**Parameters:**

| Parameter         | Type      | Required | Default | Description                   |
| ----------------- | --------- | -------- | ------- | ----------------------------- |
| `app_id`          | string    | Yes      | —       | The Application's ID or UID.  |
| `idempotency-key` | string    | No       | —       | The request's idempotency key |
| `channels`        | string\[] | No       | —       | The channels value            |
| `eventType`       | string    | Yes      | —       | The event type's name         |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "app_id": {
        "type": "string",
        "description": "The Application's ID or UID."
      },
      "idempotency-key": {
        "type": "string",
        "description": "The request's idempotency key"
      },
      "channels": {
        "type": "array",
        "items": {
          "type": "string"
        },
        "description": "The channels value"
      },
      "eventType": {
        "type": "string",
        "description": "The event type's name"
      }
    },
    "required": [
      "PCID",
      "app_id",
      "eventType"
    ]
  }
  ```
</Expandable>
